Cancels asubscription
curl --request POST \
--url https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"subscription": {
"autoBillId": "<string>",
"paymentMethod": "<string>",
"billingStatus": "<string>",
"billingState": "<string>",
"cancelledDate": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"entitledThrough": "<string>",
"billingDay": 123,
"nextBillingDate": "<string>",
"createdDate": "<string>",
"currency": "<string>",
"items": [
{
"id": "<string>",
"productId": "<string>",
"productDescription": "<string>",
"billingCycle": 123,
"campaignCode": "<string>"
}
],
"metadata": {}
},
"transaction": {
"transactionId": "<string>",
"createdDate": "<string>",
"amount": 123,
"currency": "<string>",
"status": "<string>",
"status_log": [
{
"object": "TransactionStatus",
"status": "New",
"created": "<string>",
"payment_method_type": "CreditCard",
"vin_avs": "FullMatch",
"funding_source_balance": 123
}
],
"subscriptionId": "<string>",
"items": [
{
"type": "<string>",
"name": "<string>",
"price": 123,
"quantity": 123,
"taxType": "<string>",
"discount": 123,
"subTotal": 123,
"total": 123,
"subscriptionItemId": "<string>",
"tax": [
{
"jurisdiction": "<string>",
"name": "<string>",
"amount": 123,
"externalTaxName": "<string>",
"externalTaxCategory": "<string>",
"externalJurisdictionName": "<string>",
"taxRate": 123
}
]
}
],
"paymentMethod": {
"id": "<string>",
"createdDate": "<string>",
"merchantAcceptedPayment": {
"amount": 123,
"currency": "<string>",
"created": "<string>",
"paymentType": "<string>",
"account": "<string>",
"lastDigits": "<string>"
},
"creditCard": {
"lastDigits": "<string>",
"expirationDate": "<string>"
},
"carrierBilling": {
"object": "CarrierBilling",
"phone_number": {
"object": "PhoneNumber",
"phone_type": "CS",
"country_code": "<string>",
"area_code": "<string>",
"local_number": "<string>",
"extension": "<string>",
"raw_input": "<string>"
},
"encoded_phone_number": "<string>",
"carrier": "<string>",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_criteria": {
"object": "PriceCriteria",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_point_deviation_policy": "HiOnly",
"dynamic_price_mode": "PayoutGross",
"merchant_service_identifier": "<string>",
"sub_merchant_identifier": "<string>",
"description": "<string>",
"fwd_url": "<string>",
"static_selection_row_ref": 123,
"static_price_inc_sales_tax": "<string>",
"dynamic_deviation": 123,
"dynamic_match": 123,
"dynamic_target_price": "<string>"
},
"account_identifier": "<string>",
"carrier_billing_account_identifier_type": "MSISDN",
"customer_identifier": "not yet available - see VIN-26551",
"customer_identifier_type": "PoS , Web",
"validated": "<string>"
},
"debitCard": {
"lastDigits": "<string>"
},
"externalBilling": {
"billReceiver": "<string>",
"paymentChannel": "<string>",
"financialAccount": "<string>"
},
"metadata": {},
"primary": true,
"active": true,
"currency": "<string>",
"type": "CarrierBilling"
}
},
"nextTransaction": {
"transactionId": "<string>",
"createdDate": "<string>",
"amount": 123,
"currency": "<string>",
"status": "<string>",
"status_log": [
{
"object": "TransactionStatus",
"status": "New",
"created": "<string>",
"payment_method_type": "CreditCard",
"vin_avs": "FullMatch",
"funding_source_balance": 123
}
],
"subscriptionId": "<string>",
"items": [
{
"type": "<string>",
"name": "<string>",
"price": 123,
"quantity": 123,
"taxType": "<string>",
"discount": 123,
"subTotal": 123,
"total": 123,
"subscriptionItemId": "<string>",
"tax": [
{
"jurisdiction": "<string>",
"name": "<string>",
"amount": 123,
"externalTaxName": "<string>",
"externalTaxCategory": "<string>",
"externalJurisdictionName": "<string>",
"taxRate": 123
}
]
}
],
"paymentMethod": {
"id": "<string>",
"createdDate": "<string>",
"merchantAcceptedPayment": {
"amount": 123,
"currency": "<string>",
"created": "<string>",
"paymentType": "<string>",
"account": "<string>",
"lastDigits": "<string>"
},
"creditCard": {
"lastDigits": "<string>",
"expirationDate": "<string>"
},
"carrierBilling": {
"object": "CarrierBilling",
"phone_number": {
"object": "PhoneNumber",
"phone_type": "CS",
"country_code": "<string>",
"area_code": "<string>",
"local_number": "<string>",
"extension": "<string>",
"raw_input": "<string>"
},
"encoded_phone_number": "<string>",
"carrier": "<string>",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_criteria": {
"object": "PriceCriteria",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_point_deviation_policy": "HiOnly",
"dynamic_price_mode": "PayoutGross",
"merchant_service_identifier": "<string>",
"sub_merchant_identifier": "<string>",
"description": "<string>",
"fwd_url": "<string>",
"static_selection_row_ref": 123,
"static_price_inc_sales_tax": "<string>",
"dynamic_deviation": 123,
"dynamic_match": 123,
"dynamic_target_price": "<string>"
},
"account_identifier": "<string>",
"carrier_billing_account_identifier_type": "MSISDN",
"customer_identifier": "not yet available - see VIN-26551",
"customer_identifier_type": "PoS , Web",
"validated": "<string>"
},
"debitCard": {
"lastDigits": "<string>"
},
"externalBilling": {
"billReceiver": "<string>",
"paymentChannel": "<string>",
"financialAccount": "<string>"
},
"metadata": {},
"primary": true,
"active": true,
"currency": "<string>",
"type": "CarrierBilling"
}
}
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Cancels asubscription
Cancels a purchased subscription.
POST
/
subscription
/
{autobillId}
/
cancel
Cancels asubscription
curl --request POST \
--url https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel \
--header 'Authorization: Bearer <token>'import requests
url = "https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://default.ulm.stg.m1amdocs.io/storefront/subscription/{autobillId}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"subscription": {
"autoBillId": "<string>",
"paymentMethod": "<string>",
"billingStatus": "<string>",
"billingState": "<string>",
"cancelledDate": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"entitledThrough": "<string>",
"billingDay": 123,
"nextBillingDate": "<string>",
"createdDate": "<string>",
"currency": "<string>",
"items": [
{
"id": "<string>",
"productId": "<string>",
"productDescription": "<string>",
"billingCycle": 123,
"campaignCode": "<string>"
}
],
"metadata": {}
},
"transaction": {
"transactionId": "<string>",
"createdDate": "<string>",
"amount": 123,
"currency": "<string>",
"status": "<string>",
"status_log": [
{
"object": "TransactionStatus",
"status": "New",
"created": "<string>",
"payment_method_type": "CreditCard",
"vin_avs": "FullMatch",
"funding_source_balance": 123
}
],
"subscriptionId": "<string>",
"items": [
{
"type": "<string>",
"name": "<string>",
"price": 123,
"quantity": 123,
"taxType": "<string>",
"discount": 123,
"subTotal": 123,
"total": 123,
"subscriptionItemId": "<string>",
"tax": [
{
"jurisdiction": "<string>",
"name": "<string>",
"amount": 123,
"externalTaxName": "<string>",
"externalTaxCategory": "<string>",
"externalJurisdictionName": "<string>",
"taxRate": 123
}
]
}
],
"paymentMethod": {
"id": "<string>",
"createdDate": "<string>",
"merchantAcceptedPayment": {
"amount": 123,
"currency": "<string>",
"created": "<string>",
"paymentType": "<string>",
"account": "<string>",
"lastDigits": "<string>"
},
"creditCard": {
"lastDigits": "<string>",
"expirationDate": "<string>"
},
"carrierBilling": {
"object": "CarrierBilling",
"phone_number": {
"object": "PhoneNumber",
"phone_type": "CS",
"country_code": "<string>",
"area_code": "<string>",
"local_number": "<string>",
"extension": "<string>",
"raw_input": "<string>"
},
"encoded_phone_number": "<string>",
"carrier": "<string>",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_criteria": {
"object": "PriceCriteria",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_point_deviation_policy": "HiOnly",
"dynamic_price_mode": "PayoutGross",
"merchant_service_identifier": "<string>",
"sub_merchant_identifier": "<string>",
"description": "<string>",
"fwd_url": "<string>",
"static_selection_row_ref": 123,
"static_price_inc_sales_tax": "<string>",
"dynamic_deviation": 123,
"dynamic_match": 123,
"dynamic_target_price": "<string>"
},
"account_identifier": "<string>",
"carrier_billing_account_identifier_type": "MSISDN",
"customer_identifier": "not yet available - see VIN-26551",
"customer_identifier_type": "PoS , Web",
"validated": "<string>"
},
"debitCard": {
"lastDigits": "<string>"
},
"externalBilling": {
"billReceiver": "<string>",
"paymentChannel": "<string>",
"financialAccount": "<string>"
},
"metadata": {},
"primary": true,
"active": true,
"currency": "<string>",
"type": "CarrierBilling"
}
},
"nextTransaction": {
"transactionId": "<string>",
"createdDate": "<string>",
"amount": 123,
"currency": "<string>",
"status": "<string>",
"status_log": [
{
"object": "TransactionStatus",
"status": "New",
"created": "<string>",
"payment_method_type": "CreditCard",
"vin_avs": "FullMatch",
"funding_source_balance": 123
}
],
"subscriptionId": "<string>",
"items": [
{
"type": "<string>",
"name": "<string>",
"price": 123,
"quantity": 123,
"taxType": "<string>",
"discount": 123,
"subTotal": 123,
"total": 123,
"subscriptionItemId": "<string>",
"tax": [
{
"jurisdiction": "<string>",
"name": "<string>",
"amount": 123,
"externalTaxName": "<string>",
"externalTaxCategory": "<string>",
"externalJurisdictionName": "<string>",
"taxRate": 123
}
]
}
],
"paymentMethod": {
"id": "<string>",
"createdDate": "<string>",
"merchantAcceptedPayment": {
"amount": 123,
"currency": "<string>",
"created": "<string>",
"paymentType": "<string>",
"account": "<string>",
"lastDigits": "<string>"
},
"creditCard": {
"lastDigits": "<string>",
"expirationDate": "<string>"
},
"carrierBilling": {
"object": "CarrierBilling",
"phone_number": {
"object": "PhoneNumber",
"phone_type": "CS",
"country_code": "<string>",
"area_code": "<string>",
"local_number": "<string>",
"extension": "<string>",
"raw_input": "<string>"
},
"encoded_phone_number": "<string>",
"carrier": "<string>",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_criteria": {
"object": "PriceCriteria",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_point_deviation_policy": "HiOnly",
"dynamic_price_mode": "PayoutGross",
"merchant_service_identifier": "<string>",
"sub_merchant_identifier": "<string>",
"description": "<string>",
"fwd_url": "<string>",
"static_selection_row_ref": 123,
"static_price_inc_sales_tax": "<string>",
"dynamic_deviation": 123,
"dynamic_match": 123,
"dynamic_target_price": "<string>"
},
"account_identifier": "<string>",
"carrier_billing_account_identifier_type": "MSISDN",
"customer_identifier": "not yet available - see VIN-26551",
"customer_identifier_type": "PoS , Web",
"validated": "<string>"
},
"debitCard": {
"lastDigits": "<string>"
},
"externalBilling": {
"billReceiver": "<string>",
"paymentChannel": "<string>",
"financialAccount": "<string>"
},
"metadata": {},
"primary": true,
"active": true,
"currency": "<string>",
"type": "CarrierBilling"
}
}
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Authorizations
OAuth 2.0 Authentication
Path Parameters
The autoBillId of the Subscription to be cancelled.
Query Parameters
The id or the vid of the predefined CancelReason.
Support optional request query parameter disentitle. Only for impersonation use case.
Support optional request query parameter settle. Only for impersonation use case.
Was this page helpful?

